import json

from rest_framework import serializers


class MagicField(serializers.Field):

    def to_representation(self, value):
        return value if isinstance(value, (int, str)) else value.copy()

    def to_internal_value(self, data):
        return data
